select
    s.st_itm_art_author as "author",
    s.st_itm_art_title as "title",
    s.st_itm_title as "intitle",
    s.st_itm_publ_date_comp as "year",
    case
      when position('Band' in s.st_itm_vol_issue) > 0 then trim(regexp_substr(s.st_itm_vol_issue, 'Band(.*)Heft.*', 1, 1, NULL, 1))
      else s.st_itm_vol_issue
    end as "volume",
    case
      when position('Heft' in s.st_itm_vol_issue) > 0 then trim(regexp_substr(s.st_itm_vol_issue, '.*Heft(.*)', 1, 1, NULL, 1))
      else NULL
    end as "issue",
    s.st_itm_pagination as "pagination",
    s.st_itm_publisher as "publisher",
    s.st_itm_publ_place as "publisherplace",
    s.st_itm_isn as "isbn",
    s.st_itm_isn as "issn",
    upper(s.st_itm_ver_ref_src) as "source",
    s.st_itm_uniq_id1 as "sourceid",
    e1.message as "doi"
from orders o
    left join stages s on o.or_id = s.st_or_id and o.or_seqno = s.st_seqno
    left outer join event e1 on cast(o.or_id as text) = e1.ordernumber and e1.type = 'requestform' and e1.code = 'doi'
where o.or_id = :key
