select
  id as "id",
  e.time as "time",
  case
    when type = 'ack' then 'Bestätigung'
    when type = 'expect' then 'Empfang'
    when type = 'supply' then 'Bereitstellung'
    when type = 'delivery' then 'Lieferung'
    when type = 'transaction' then'Transaktion'
    else type
  end as "type",
  code as "code",
  NULL as "status",
  upper(status) as "substatus",
  case
    when status = 'info' then 'Information'
    when status = 'inprocess' then 'Dokument wird verarbeitet'
    when status = 'ready' then 'Dokument liegt bereit'
    when status = 'probed' then 'Dokument wurde abgerufen'
    when status = 'error' then 'Fehler'
    when status = 'coment' then 'Kommentar'
    else status
  end as "substatustranslation",
  ordernumber as "ordernumber",
  tan as "transactionid",
  library as "library",
  userid as "userid",
  ref as "ref",
  message as "message"
from
  event e
