select
    os.os_name as "ordersystem",
    case
      when s.st_type = 'K' then 'COPY'
      when s.st_type = 'E' then 'FORM'
      when s.st_type = 'S' then 'SCAN'
      else s.st_type
    end as "circulation",
    to_char(o.or_status) as "status",
    ds.ds_info as "statustranslation",
    NULL as "substatus",
    count(*) as "count"
from orders o
    inner join ordersys os on o.or_os_id = os.os_id
    inner join stages s on o.or_id = s.st_or_id and o.or_seqno = s.st_seqno
    inner join institutions req on s.st_src_inst = req.it_id
    inner join institutions sup on s.st_dest_inst = sup.it_id
    inner join delstatus ds on o.or_status = ds.ds_id
%s
group by
    os.os_name,
    case
      when s.st_type = 'K' then 'COPY'
      when s.st_type = 'E' then 'FORM'
      when s.st_type = 'S' then 'SCAN'
      else s.st_type
    end,
    to_char(o.or_status),
    ds.ds_info