select
    s.st_seqno as "pos",
    case
      when s.st_seqno = o.or_seqno then 'Y'
      else 'N'
    end as "active",
    case
      when s.st_type = 'K' then 'COPY'
      when s.st_type = 'E' then 'FORM'
      when s.st_type = 'S' then 'SCAN'
      else s.st_type
    end as "circulation",
    upper(s.st_itm_ver_ref_src) as "source",
    s.st_itm_uniq_id1 as "sourceid",
    s.st_itm_publ_date_comp as "year",
    case
      when sup.it_type = 'N' then 'MEDEA'
      when sup.it_type = 'M' then 'MYBIB'
      when sup.it_type = 'I' then 'INTERNAL'
      when sup.it_type = 'V' then 'EXTERNAL'
      when sup.it_type = 'X' then 'DISABLED'
      else sup.it_type
    end as "transportservice",
    req.it_isil as "requesterisil",
    sup.it_isil as "supplierisil",
    s.st_itm_signatur as "supplierinfo"
from stages s
    inner join institutions sup on s.st_dest_inst = sup.it_id
    inner join institutions req on s.st_src_inst = req.it_id
    inner join orders o on s.st_or_id = o.or_id
where
    s.st_or_id = :key
order by
    s.st_seqno asc
