select
      "VerbundN",
      "ISILNB",
      "NameNB",
      "Id_VerbundN",
      "PFL",
      "VerbundG",
      "ISILGB",
      "NameGB",
      "Id_VerbundG",
      "Typ",
      "Quittung",
      "BestellDatum",
      "QuittungsDatum"
from (
    select
        case
          when i1.it_type = 'V' then i1.it_isil
          else 'DE-605'
        end as "VerbundN",
        case
          when i1.it_type = 'V' then or_ext_user_id
          else i1.it_isil
        end as "ISILNB",
        i1.it_name as "NameNB",
        or_id as "Id_VerbundN",
        or_tan as "PFL",
        case
          when i2.it_type = 'V' then i2.it_isil
          else 'DE-605'
        end as "VerbundG",
        i2.it_isil as "ISILGB",
        i2.it_name as "NameGB",
        case
          when i2.it_type = 'V' then or_ext_order_id
          else cast(or_id as text)
        end as "Id_VerbundG",
        case
          when st_type = 'E' then 'Leihschein'
          else 'Online'
        end as "Typ",
        'SHIPPED' as "Quittung",
        to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
        to_char(min(oh_timepoint),'DD.MM.YYYY') as "QuittungsDatum"
    from
        orders
        left join stages on or_id = st_or_id and or_seqno = st_seqno
        left join orderhist on or_id = oh_or_id
        left join institutions i1 on st_src_inst = i1.it_id
        left join institutions i2 on st_dest_inst = i2.it_id
    where
        or_status in (5,9,17,18)
        and oh_type in (8,9,32,33,36)
        and i1.it_id != i2.it_id
        and st_type != 'E'
        and oh_timepoint between to_date(:startdate,'YYYY-MM-DD') and to_date(:enddate,'YYYY-MM-DD')
    group by
        case
          when i1.it_type = 'V' then i1.it_isil
          else 'DE-605'
        end,
        case
          when i1.it_type = 'V' then or_ext_user_id
          else i1.it_isil
        end,
        i1.it_name,
        or_id,
        or_tan,
        case
          when i2.it_type = 'V' then i2.it_isil
          else 'DE-605'
        end,
        i2.it_isil,
        i2.it_name,
        case
          when i2.it_type = 'V' then or_ext_order_id
          else cast(or_id as text)
        end,
        case
          when st_type = 'E' then 'Leihschein'
          else 'Online'
        end,
        to_char(or_when,'DD.MM.YYYY')
    union
    select
        case
          when i1.it_type = 'V' then i1.it_isil
          else 'DE-605'
        end as "VerbundN",
        case
          when i1.it_type = 'V' then or_ext_user_id
          else i1.it_isil
        end as "ISILNB",
        i1.it_name as "NameNB",
        or_id as "Id_VerbundN",
        or_tan as "PFL",
        case
          when i2.it_type = 'V' then i2.it_isil
          else 'DE-605'
        end as "VerbundG",
        i2.it_isil as "ISILGB",
        i2.it_name as "NameGB",
        case
          when i2.it_type = 'V' then or_ext_order_id
          else cast(or_id as text)
        end as "Id_VerbundG",
        case
          when st_type = 'E' then 'Leihschein'
          else 'Online'
        end as "Typ",
        'SHIPPED' as "Quittung",
        to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
        to_char(min(e.time),'DD.MM.YYYY') as "QuittungsDatum"
    from
        orders
        left join stages on or_id = st_or_id and or_seqno = st_seqno
        left join event e on e.ordernumber = cast(or_id as text) and e.type = 'transaction' and e.code = 'transaction-success'
        left join institutions i1 on st_src_inst = i1.it_id
        left join institutions i2 on st_dest_inst = i2.it_id
    where
        or_status in (5,9,17,18)
        and i1.it_id != i2.it_id
        and st_type != 'E'
        and e.time between to_date(:startdate,'YYYY-MM-DD') and to_date(:enddate,'YYYY-MM-DD')
    group by
        case
          when i1.it_type = 'V' then i1.it_isil
          else 'DE-605'
        end,
        case
          when i1.it_type = 'V' then or_ext_user_id
          else i1.it_isil
        end,
        i1.it_name,
        or_id,
        or_tan,
        case
          when i2.it_type = 'V' then i2.it_isil
          else 'DE-605'
        end,
        i2.it_isil,
        i2.it_name,
        case
          when i2.it_type = 'V' then or_ext_order_id
          else cast(or_id as text)
        end,
        case
          when st_type = 'E' then 'Leihschein'
          else 'Online'
        end,
        to_char(or_when,'DD.MM.YYYY')
    union
    select
        case
          when i1.it_type = 'V' then i1.it_isil
          else 'DE-605'
        end as "VerbundN",
        case
          when i1.it_type = 'V' then or_ext_user_id
          else i1.it_isil
        end as "ISILNB",
        i1.it_name as "NameNB",
        or_id as "Id_VerbundN",
        or_tan as "PFL",
        case
          when i2.it_type = 'V' then i2.it_isil
          else 'DE-605'
        end as "VerbundG",
        i2.it_isil as "ISILGB",
        i2.it_name as "NameGB",
        case
          when i2.it_type = 'V' then or_ext_order_id
          else cast(or_id as text)
        end as "Id_VerbundG",
        case
          when st_type = 'E' then 'Leihschein'
          else 'Online'
        end as "Typ",
        'CANCEL' as "Quittung",
        to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
        to_char(min(oh_timepoint),'DD.MM.YYYY') as "QuittungsDatum"
    from
        orders
        left join stages on or_id = st_or_id and or_seqno = st_seqno
        left join orderhist on or_id = oh_or_id
        left join institutions i1 on st_src_inst = i1.it_id
        left join institutions i2 on st_dest_inst = i2.it_id
    where
        or_status in (7,8,9,15)
        and oh_type in (6,30,31)
        and i1.it_id != i2.it_id
        and st_type != 'E'
        and oh_timepoint between to_date(:startdate,'YYYY-MM-DD') and to_date(:enddate,'YYYY-MM-DD')
    group by
        case
          when i1.it_type = 'V' then i1.it_isil
          else 'DE-605'
        end,
        case
          when i1.it_type = 'V' then or_ext_user_id
          else i1.it_isil
        end,
        i1.it_name,
        or_id,
        or_tan,
        case
          when i2.it_type = 'V' then i2.it_isil
          else 'DE-605'
        end,
        i2.it_isil,
        i2.it_name,
        case
          when i2.it_type = 'V' then or_ext_order_id
          else cast(or_id as text)
        end,
        case
          when st_type = 'E' then 'Leihschein'
          else 'Online'
        end,
        to_char(or_when,'DD.MM.YYYY')
    union
    select
        case
          when i1.it_type = 'V' then i1.it_isil
          else 'DE-605'
        end as "VerbundN",
        i1.it_isil as "ISILNB",
        i1.it_name as "NameNB",
        or_id as "Id_VerbundN",
        or_tan as "PFL",
        case
          when i2.it_type = 'V' then i2.it_isil
          else 'DE-605'
        end as "VerbundG",
        i2.it_isil as "ISILGB",
        i2.it_name as "NameGB",
        case
          when i2.it_type = 'V' then or_ext_order_id
          else cast(or_id as text)
        end as "Id_VerbundG",
        case
          when st_type = 'E' then 'Leihschein'
          else 'Online'
        end as "Type",
        'NOTAVAILABLE' as "Quittung",
        to_char(or_when,'DD.MM.YYYY') as "BestellDatum",
        to_char(oh_timepoint,'DD.MM.YYYY') as "QuittungsDatum"
    from
        orders
        left join stages on or_id = st_or_id and or_seqno = st_seqno
        left join orderhist on or_id = oh_or_id
        left join institutions i1 on st_src_inst = i1.it_id
        left join institutions i2 on oh_it_id = i2.it_id
    where
        oh_type = 4
        and oh_info like 'weitergeleitet nach %'
        and i1.it_id != i2.it_id
        and oh_timepoint between to_date(:startdate,'YYYY-MM-DD') and to_date(:enddate,'YYYY-MM-DD')
    union
    select
         reqorg.zf10isil as "VerbundN",
         req.zf10isil as "ISILNB",
         req.zf10isil as "NameNB",
         m.zf1bestellid as "Id_VerbundN",
         m.zf1pfl2afl as "PFL",
         suporg.zf10isil as "VerbundG",
         sup.zf10isil as "ISILGB",
         req.zf10isil as "NameGB",
         m.zf1tan as "Id_VerbundG",
         'Online' as "Type",
         upper(trim(curr.zf6vorgang)) as "Quittung",
         to_char(init.zf6date,'DD.MM.YYYY') as "BestellDatum",
         to_char(curr.zf6date,'DD.MM.YYYY') as "QuittungsDatum"
    from
         zf1medien m
         inner join zf6status init on m.zf1bestellid = init.zf6bestellid and init.zf6lfd = 1
         inner join zf6status curr on m.zf1bestellid = curr.zf6bestellid and curr.zf6lfd = m.zf1lfd
         inner join zf10bibl sup on sup.zf10id = curr.zf6sigelaktuell_id
         inner join zf10bibl req on req.zf10id = m.zf1sigelnb_id
         inner join zf10bibl reqorg on reqorg.zf10id = m.zf1verbundn_id
         inner join zf10bibl suporg on suporg.zf10id = m.zf1verbundg_id
         inner join zf5statistik stat on stat.zf5bestellid = m.zf1bestellid and stat.zf5lfd = m.zf1lfd
    where
        m.zf1bstype2 = 'C'
        and curr.zf6date between to_date(:startdate, 'YYYY-MM-DD') and to_date(:enddate, 'YYYY-MM-DD')
)