select
  r."Datum" as "Datum",
  r."ISIL" as "ISIL",
  r."Nummer" as "Nummer",
  r."Titel" as "Titel",
  r."Aufsatztitel" as "Aufsatztitel",
  r."Autor" as "Autor",
  r."Verlag" as "Verlag",
  r."ISBN" as "ISBN",
  r."ISSN" as "ISSN",
  r."Jahr" as "Jahr",
  r."Seiten" as "Seiten",
  COALESCE(e."Modus", r."Modus") as "Modus"
from
  "royalties_supplier" r
  left outer join "royalties_supplier_errata" e on e."Nummer" = r."Nummer"
where
  r."Datum" between to_date(:startdate, 'YYYY-MM-DD') and to_date(:enddate, 'YYYY-MM-DD')
  and r."ISIL" = :isil
order by
  r."Datum"
