SELECT
     st.syt_id as "id",
     i.it_isil AS "library",
     stc.sytc_info AS "type",
     st.syt_key AS "name",
     st.syt_info AS "subject",
     st.syt_text AS "message",
     current_timestamp AS "created",
     current_timestamp AS "modified",
     case
       when stc.sytc_class = 'SYSTEM' then '1'
       else '0'
     end AS "distributed"
from sys_texts st
  inner join institutions i ON i.it_id = st.syt_in_id
  inner join sys_text_classes stc ON stc.sytc_id = st.syt_class
where
  i.it_isil = :isil
  and st.syt_key = :name
